﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using NHibernate;
using NHibernate.Criterion;
using System.Data.SqlClient;
using System.Data;

namespace NH.Data
{
   public class NHData
    {
       protected ISession Session { get; set; }
      
       public NHData()
        {
            Session = new NHibernateHelper().GetSession();
        }
       public IList<People> GetList()
       {
           var crit = Session.CreateCriteria(typeof(People));
           return crit.List<People>();
       }
       //增加
       public int Create(People p)
       {
         object value= Session.Save(p);
           Session.Flush();
           return Convert.ToInt32(value);
       }
       //根据Sql语句获取实体
       public IList<People> GetListBySql()
       {
           return Session.CreateQuery("from People c where c.id>:id").SetString("id", "1").List<People>();

           string strsql = "select * from Customer where id>2";
           ISQLQuery sqlQuery = Session.CreateSQLQuery(strsql).AddEntity("Customer", typeof(People));
           return sqlQuery.List<People>();
       }
       //获取
       public People Get(int id)
       {
           List<ICriterion> lst = new List<ICriterion>();
           lst.Add(Restrictions.Where<People>(c=>c.Id==id));
           var crit = Session.CreateCriteria(typeof(People));
           lst.ForEach(c => crit.Add(c));
           return crit.List<People>()[0];
       }
       //删除
       public void Delete(int id)
       {
           People p = Get(id);
           Session.Delete(p);
           Session.Flush();
       }
       //修改
       public void Update(int id)
       {
           People p=Get(id);
           p.Name="wer";
           Session.Update(p);
           Session.Flush();
       }

       public List<People> getList()
       {
           string strsql = "select * from people";
           SqlConnection con = new SqlConnection(strsql);
           con.Open();
           SqlCommand cmd = new SqlCommand(strsql,con);
           SqlDataAdapter sda = new SqlDataAdapter(cmd);
           DataTable dt = new DataTable();
           sda.Fill(dt);
           return dt.ToList<People>();
       }

    }
}
